Jump to content
Sign in to follow this  
chounpyt

apres echec 1.3.6 vers 1.4 echec a restaurer 1.3.6

Recommended Posts

Bonjour,
je n'ai pas réussi à tester en local la 1.4, confiant dans les mise à jour précédentes faciles j'ai updaté la boutique en production !

= 162 erreurs sql !

aprés de multiples essais, découragé (peut être thème DDLX incompatible), je veux restaurer ma boutique en 1.3.6
et là j'ai "configuration invalide"... sans savoir quoi changer
et quand je lance l'étape 3 j'ai :
4 erreurs sql, pas de site ouvert, et pas de back office

voici le rapport :

SET NAMES 'utf8'

ALTER TABLE `psrw_order_detail` ADD `group_reduction` DECIMAL(10, 2) NOT NULL AFTER `reduction_amount`

(1060) Duplicate column name 'group_reduction'
ALTER TABLE `psrw_order_detail` ADD `ecotax_tax_rate` DECIMAL(5, 3) NOT NULL AFTER `ecotax`

(1060) Duplicate column name 'ecotax_tax_rate'
ALTER TABLE `psrw_product` CHANGE `ecotax` `ecotax` DECIMAL(21, 6) NOT NULL DEFAULT '0.00'

INSERT INTO `psrw_configuration` (`name`, `value`, `date_add`, `date_upd`) SELECT 'PS_LOCALE_LANGUAGE', l.`iso_code`, NOW(), NOW() FROM `psrw_configuration` c INNER JOIN `psrw_lang` l ON (l.`id_lang` = c.`value`) WHERE c.`name` = 'PS_LANG_DEFAULT'

(1062) Duplicate entry 'PS_LOCALE_LANGUAGE' for key 2
INSERT INTO `psrw_configuration` (`name`, `value`, `date_add`, `date_upd`) SELECT 'PS_LOCALE_COUNTRY', co.`iso_code`, NOW(), NOW() FROM `psrw_configuration` c INNER JOIN `psrw_country` co ON (co.`id_country` = c.`value`) WHERE c.`name` = 'PS_COUNTRY_DEFAULT'

(1062) Duplicate entry 'PS_LOCALE_COUNTRY' for key 2
SET NAMES 'utf8'

SET NAMES 'utf8'

SET NAMES 'utf8'

/* PHP:update_products_ecotax_v133(); */

SET NAMES 'utf8'

/* PHP:update_products_ecotax_v133(); */[/color][/color][/color]



j'ai lu beaucoup de sujets sur le forum, j'ai tenté de modifier install/upgrade/spq/1.3.6.
/* PHP:update_products_ecotax_v133(); */; EN RAJOUTANT LE ;

Je panique la boutique est plantée... merci de votre aide

Share this post


Link to post
Share on other sites

Bonjour

A tu pensé à faire une sauvegarde de ta basse de donnée.

Moi aussi j'ai rencontré des pb sur 1.4, je suis donc repasser sur 1.3.7. J'ai eu l'idée de faire une sauvegarde, heureusement. Par contre comme je suis débutant j'ai un peu galérer a revenir sur 1.3.7 "2 jour"

Share this post


Link to post
Share on other sites

Bonjour,
oui j'ai une sauvegarde de la BDD sous 1.3.6,
c'est d'ailleurs ce que je pense : la BDD a été mise à jour par et 1.3.6 ne retrouves pas tous ses petits

je n'ai pas opéré encore de backup de la BDD de peur d'écraser la bDD actuelle

j'ai essayé de faire celà en local pour tester, mais mysql me dit que le zip n'est pas reconnu....

Share this post


Link to post
Share on other sites

Je me répète, Comme je suis débutant je ne peux pas trop te conseille pour repasser sur 1.3.6.

Mais je peux te dire comment j'ai fait.

J'ai effacer la basse de donné sur PHPmyadmin, puis J'ai fais une nouvelle install de PS 1.3.7 comme si je reparté de zero,
J'ai importer ma sauvegarde de la basse de donnée de 1.3.7 par PHPmyadmin, puis j'ai tranférer le dossier mail, module, img, thème de ma sauvegarde php de mon site.

Pour moi sa à marché, mais j'ai passer deux jours. Après je sais pas si la procédure que j'ai faite est la bonne.

Dsl de ne pouvoir plus t'aider, j'espère que tu rétablira ta boutique très vite

Share this post


Link to post
Share on other sites

tu m'aides pas mal en me confirmant cette méthode,
c'est celle que j'avais pensé faire hier soir aprés de ultiples tentatives de mise à jour plantées...

par sécurité j'ai demandé à mon hébergeur qui seul à les droits sur la BDD de me créer une nouvelle base de données pour refaire une instal
sans écraser la BDD actuelle qui vraisemblablement à été mise à jour pour 1.4

ainsi si je ne réussi pas à réinstaller la 1.3.6 je peux encore sur cette BDD vierge retenter une instal complète 1.4 puis importer les folders de ma boutique avec en + upload, download et config

Share this post


Link to post
Share on other sites

Comme j'était dans la galère comme toi, j'ai tout tenté pour récupérer ma boutique en production. Pour le moment je vais rester sur 1.3.7 et tanpis pour 1.4 qui m'intéresse pour la correction de l'éco taxe en autres.

Bon courage. ;-)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More